﻿@using PagedList
@using PagedList.Mvc
@using Xtoman.Domain.Models
@using Xtoman.Utility
@model IEnumerable<ExchangeOrdersListItemViewModel>
@{ 
    var TotalPaymentReceived = ((decimal)ViewBag.TotalPaymentReceived).ToPriceWithoutFloat() + " تومان";
    var TotalTomanUnpaid = ((decimal)ViewBag.TotalTomanUnpaid).ToPriceWithoutFloat() + " تومان";
    var TotalTomanPaid = ((decimal)ViewBag.TotalTomanPaid).ToPriceWithoutFloat() + " تومان";
}

<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }

    .lbl-api {
        vertical-align: middle;
        color: white;
        letter-spacing: 1px;
        font-weight: bold;
    }

    .action-btn {
        margin: 1px;
        padding: 0;
    }

        .action-btn a {
            color: #fff;
        }

        .action-btn i {
            padding: 2px;
            height: 20px;
            width: 20px;
            display: block
        }

    .btn-preview {
        background-color: chocolate;
        color: white;
    }

    .btn-edit {
        background-color: forestgreen;
        color: white;
    }

    .btn-voucher {
        background-color: slateblue;
        color: white;
    }

    .btn-receipt {
        background-color: palevioletred;
        color: white;
    }

    .royal-customer {
        background-color: rgba(255,225,0,1);
        color: #333;
        text-align: center;
        margin: 5px;
        padding: 5px;
    }

        .royal-customer i {
            text-shadow: 1px 1px 1px rgba(50, 50, 50, 0.5);
            font-weight: 900;
        }
</style>
<div class="col-md-12" style="line-height: 25px; vertical-align: middle;">
    <div class="row">
        <div class="col-md-3">
            تعداد کل نتایج: <b>@ViewBag.TotalCount</b>
        </div>
        <div class="col-md-3">
            مبلغ کل فروش نتایج: <b>@TotalPaymentReceived</b>
        </div>
        <div class="col-md-3">
            مبلغ کل تسویه شده نتایج: <b>@TotalTomanPaid</b>
        </div>
        <div class="col-md-3">
            مبلغ کل تسویه نشده نتایج: <b>@TotalTomanUnpaid</b>
            @*موجودی BTC بایننس: <b>@BinanceBalance</b>*@
        </div>
    </div>
</div>
<div class="col-12">
    <div class="card-box table-responsive">
        @Html.DataTables(@<thead style="text-align: center;">
            <tr>
                <th style="width:10px">
                    @Html.DisplayNameFor(model => model.Id)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.PaymentStatus)
                </th>
                <th style="width: 75px">
                    @Html.DisplayNameFor(model => model.OrderStatus)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.UserFullName)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.InsertDate)
                </th>
                <th style="width: 148px">
                    نوع تبدیل
                <th>
                    @Html.DisplayNameFor(model => model.PayAmount)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.ReceiveAmount)
                </th>
                <th style="width: 75px;">
                    عملیات
                </th>
            </tr>
        </thead>,
    @<tbody>
        @foreach (var x in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => x.Id)
                </td>
                <td style="letter-spacing: 0; word-spacing: 0;">
                    <a target="_blank" class="badge badge-@x.PaymentStatus.ToDisplay(DisplayProperty.GroupName)" href="@HttpContext.Current.GetBaseUrl(true)/ExchangeOrder/@x.Guid" style="padding: inherit;">
                        @x.PaymentStatus.ToDisplay()
                    </a>
                </td>
                <td>
                    <a target="_blank" class="badge badge-@x.OrderStatus.ToDisplay(DisplayProperty.GroupName)" href="@HttpContext.Current.GetBaseUrl(true)/ExchangeOrder/@x.Guid" style="padding: inherit;">
                        @x.OrderStatus.ToDisplay()
                    </a>
                </td>
                <td>
                    <a href="@Url.Action("Detail", "User", new { id = x.UserId })" data-toggle="tooltip" data-placement="auto" title="@x.UserPhoneNumber @x.UserEmail" style="cursor:pointer; font-weight: bold;">
                        @(x.UserFullName.HasValue() ? x.UserFullName : x.UserPhoneNumber.HasValue() ? x.UserPhoneNumber : x.UserEmail)
                    </a>
                    @if (x.UserExchangeOrdersCount > 2)
                             {
                        <br />
                        <span class="royal-customer badge"><i class="fa fa-star-o pull-right"></i> @x.UserExchangeOrdersCount</span>
                             }
                </td>
                <td>
                    @x.InsertDate.ToFaDateTimeZone()
                </td>
                <td>
                    <span style="color:@x.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.GroupName)">@x.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                    <span class="fa fa-arrow-right"></span>
                    <span style="color:@x.ExchangeToCurrencyType.ToDisplay(DisplayProperty.GroupName)">@x.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                </td>
                <td>
                    @if (x.ExchangeFromCurrencyType == ECurrencyType.Shetab)
                             {
                        <span>@x.PayAmount.ToPriceWithoutFloat() تومان</span>
                             }
                             else
                             {
                        <span>@x.PayAmount.ToBlockChainPrice() @x.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                             }
                </td>
                <td>
                    @if (x.ExchangeToCurrencyType == ECurrencyType.Shetab)
                             {
                        <span>@x.ReceiveAmount.ToPriceWithoutFloat() تومان</span>
                             }
                             else
                             {
                        <span>@x.ReceiveAmount.ToBlockChainPrice() @x.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                    }
                </td>
                <td>
                    <a href="@Url.Action("Details", new { id = x.Id })" class="btn btn-sm btn-primary"><span class="fa fa-search"></span></a>
                </td>
            </tr>
                 }
    </tbody>)
    </div>
    <div id="contentPager" class="text-center">
        @Html.PagedListPager((IPagedList)Model, page => Url.Action("Search", new { page }), Html.GetPagedListRenderOptions())
    </div>
</div>